This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 32218 - Anaconda crash
Anaconda crash
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-19 05:07 EST by Need Real Name
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 18:11:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-03-19 05:07:22 EST
Hi!

Anaconda crashes when trying to install linux.
First of all, the graphic installation didn't start,
when I just hit "ENTER" in the beginning. The TEXT-
installation was run instead.

Platform:
Intel Celeron 500MHz
Some Intel-chipset mainboard, I don't know the exact model
Integrated display adapter (also an Intel)
64MB RAM

I tried custom and an server installation, none worked.
The installation CD is ok, the installation works on
my home PC.

I have no idea what is causing this problem. Just crash, crash, crash,
no matter what I do. BTW, Windows 2000 and NT runs fine on the same 
computer.

Could it help if I add more RAM? The installation program
warned me that the swap partition must be applyed immediately,
because there's not enough memory. The swap partition was
500MB.

Thanks. If you need more specific info about the computer, feel
free to email me:
mikko@korkalo.com

Here's the dump:

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/setup-2.3.4-1.noarch.rpm
total: 0
self: <todo.ToDo instance at 82691a0>
h: <header object at 8825d50>
amount: 0
intf: <text.InstallProgressWindow instance at 8f8ce58>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdc'
sS'progressWindow'
p9

<failed>
Comment 1 Michael Fulbright 2001-03-21 14:17:34 EST
Most likely your CD is bad.

Check on VC4 (cntl-alt-f4) when this error occurs and see if there are kernel
errors present.
Comment 2 Brent Fox 2001-04-10 18:11:10 EDT
Closing due to inactivity. Please reopen if you have any more info.

Note You need to log in before you can comment on or make changes to this bug.